Subject: [mpls] Errata in RFC 5331

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 17 Sep 2013 22:56:56 +0100

Hi,

Liu Lin recently raised two Errata reports against RFC 5331.

I would like you help in clarifying the intent of the document.

In http://www.rfc-editor.org/errata_search.php?eid=3726 Liu notes that Section 6
says:

> In the former case, an LSR distributes an upstream-assigned 
> label binding for a FEC F if it is either (a) the ingress LSR 
> for FEC F, or (b) if it has already received an upstream label 
> binding for that FEC from its adjacent upstream LSR for FEC F, 
> or (c) if it has received a request for a downstream label 
> binding from its upstream adjacent LSR.

He suggests that case (c) is broken and should read:

| (c) if it has received a request for a upstream label 
| binding from its downstream adjacent LSR.

I suspect that the original text may have intended to imply that when an LSR
receives a request for a downstream label from its upstream adjacent LSR then it
will use this as a trigger to send an upstream-assigned label to its downstream
adjacent LSR.

If so, the text is correct and I will reject the Errata.

Your opinions, please.

Thanks,
Adrian